# encoding: utf-8

module RSeed
  class Utils

    def treePath path
      tree = {}
      Dir.foreach(path) do |file|
        if file != "." and file != ".."
          if File.directory?(File.join(path, file))
            tree[file] = treePath(File.join(path, file))
          else
            tree[file] = {}
          end
        end
      end
      tree
    end

    def renderTree tree
      s = "<ul>"
      tree.each do |node|
        if node == :file or node[1] == :file
          s += "<li>#{node[0]}</li>"
        else
          s += "<li>#{node[0]}/</li>"
          s += "<li>"
          s += renderTree(node[1])
          s += "</li>"
        end
      end
      s += "</ul>"
      s
    end

  end
end
